index

Varkon System administrators manual

# Command line parameters

The main varkon executable understands the following command line parameters:

## jobname

A parameter not preceeded by a minus sign "-" is interpreted as the name of a RES- or MBO-file to load. An optional path can be specified with the -jd parameter, see below.

## Job directory, -jd

-jdpath sets the default job directory to path.

## Module attribute, -LOCAL, -GLOBAL or -BASIC

Sets the default attribute for new modulesto LOCAL, GLOBAL or BASIC. If not specified GLOBAL will be used.

## System mode, -EXPLICIT or -GENERIC

Sets the system mode. If not specified the system mode dialog will be displayed when the system is started.

## Size of module cache PM, -pm

-pmn sets the size of the module memory cache (PM) to n kilobytes. Default size of PM if not specified is 400 kB. The PM cache is used by Varkon to keep the active module and the size of PM therefore sets the maximum size of the active module. Varkon also allocates a second memory area of the same size as PM and uses this to keep modules that are called by the active module. Subsequently the size of PM also sets the maximum size of a called module.

The secondary PM is used as a cache. When a module is called for the first time it is always loaded from disc but after it is executed it is left in the cache. If the module is called again and hasn't left the cache it does not need to be read from disc a second time. This process goes on until the cache is full of modules and there is no room for another module. When this happens the entire cache is cleared and the process starts on again. The cache mechanism of the secondary PM can increase execution speed significantly if the size of PM is large enough to hold all called modules at the same time.

## Size of database cache, -db

-dbn sets the size of the DB memory cache to n kilobytes. Default size if not specified is 1000 kB. If the model grows larger than the cache, data will automatically be swapped to disc. In that case, increasing the size of the database cache sufficiently may increase the speed of many operations.

## Size of module run time stack, -rts

-rtsn sets the size of the module run time stack to n kilobytes. Default size if not specified is 1000 kB. The run time stack is used by Varkon to keep the values of local variables declared in the modules currently executing. A local variable of type FLOAT only requires 8 bytes but an indexed variable may need much more. An array of 1000 4X4 matrixes for example needs 128kB. The run time stack must be big enough to fit all local variables in a call chain. This means that if the active module calls module A and A calls B then the size of the stack must be big enough for the total sum of local variables in the active module + A + B. If Varkon should find the run time stack too small en error message is displayed stating the actual size needed. If this happens try to increase the size as shown above.

## Ini-files, -i

-ifile loads the ini-file specified by file. A path may be included. One or two inifiles may be specified.

## Auto execute, -x

In generic mode, automatically executes the module loaded at start up if a RES-file is missing.

## Batch mode, -b

Starts Varkon in silent mode (no output to the display), executes the module, saves the result and exits automatically. You must also supply a job name and a job directory.

Varkon version 1.19C svn# 120